common.ok = "OK";
common.error = "Error";
common.cancel = "Cancel";
common.overwrite = "Overwrite";
common.confirmation = "Confirmation";
common.yes = "Yes";
common.quit = "Quit anyway";
common.warning = "Warning";

// registration messages
reg_required = "Unregistered version";
reg_purchase = "Purchase";
reg_purchase_later = "Later";
reg_error = "Error";
reg_error_text = "Entered license key is not valid, please check your key and try again.";
reg_reset = "Registration cancelled";
reg_reset_text = "Sweetie switched to the demo mode.";
reg_thanks = "Registered";
reg_thanks_text = "Thanks a lot for you purchase! The app is unlocked and fully functional now.";

// license messages
unregistered.title = "Sweetie runs in Demo mode";
unregistered.text = "The application is locked and will watermark the exports. Register the app to remove the limitations.";
unregistered.watermark = "Register Sweetie to remove the watermark";
unregistered.doRegister = "Register";
unregistered.doProcess = "Render with watermark";
unregistered.doCancel = "Cancel";

// image rendering
rendering.composing = "Composing the image...";
rendering.saving = "Flushing image to the file...";
rendering.error = "Image saving failed.";

// about dialog
about.show_licenses = "Show external licenses";
about.hide_licenses = "Hide external licenses";

// progress
progress.building_charset = "#1. Building font data...";
progress.building_layout = "#2. Building layout...";
progress.rendering_mosaic = "#3. Rendering scene...";
progress.mosaic_postprocessing = "#4. Post-processing scene...";

// sharing
sharing.flickr = "Flickr";
sharing.facebook = "Facebook";